# Generated from friendly_slug-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name friendly_slug

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: Generate a model specific SEO URL friendly slug
License: MIT
URL: https://github.com/samholst/friendly_slug
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(activemodel) > 3.0
BuildArch: noarch

%description
A simple SEO URL friendly slug model generator. Friendly Slug is meant to
dynamically create SEO friendly URL links. It is extremely lightweight and non
resource intensive. Friendly Slug ties directly into the Rails URL Helpers so
you dont have to change anything. There is no need to create a Rails Migration
as this gem does not add anything to your current database unless you want to
use the database option. You must have Active Model in your code base for this
to work.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/friendly_slug.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.8-1
- Initial package
